Coupon products
Units a coupon applies to. Only checked when coupons.scope is rent or product
The coupon product object
Attributes
iduuidUnique identifier
created_atread-onlytimestamp with time zoneCreation timestamp
Related resources
Embed related resources in the response with the select parameter, for example select=*,coupons(*). Resources related through more than one column need the column as a hint, like table!column(*).
{
"id": "00000000-0000-0000-0000-000000000000",
"coupon_id": "00000000-0000-0000-0000-000000000000",
"product_id": "00000000-0000-0000-0000-000000000000",
"created_at": "2026-10-30T23:39:58.169Z"
}curl -X GET "https://api.bookingmood.com/v1/coupon_products?limit=10&select=*,coupons(*),products(*)" \
-H "Authorization: Bearer YOUR_API_KEY"List coupon products
Filters
idFilter<uuid>Unique identifier
created_atFilter<timestamp with time zone>Creation timestamp
Responses
200A list of coupon products with the selected columns
206Partial Content
400The request is malformed, for example an unknown column or an invalid filter.
401The API key is missing or invalid.
code, message, details and hint. See the introduction for more on errors.GET /coupon_productscurl -X GET "https://api.bookingmood.com/v1/coupon_products?select=*&limit=10" \
-H "Authorization: Bearer YOUR_API_KEY"[
{
"id": "00000000-0000-0000-0000-000000000000",
"coupon_id": "00000000-0000-0000-0000-000000000000",
"product_id": "00000000-0000-0000-0000-000000000000",
"created_at": "2026-10-30T23:39:58.169Z"
}
]Create coupon products
Body
Partial<CouponProduct> | Array<Partial<CouponProduct>>Read-only attributes are set by the database and can't be written.
Responses
201The newly created coupon products with the selected columns
400The request is malformed, for example an unknown column, an invalid filter or an invalid body.
401The API key is missing or invalid.
403The API key has no permission for this change, for example when writing rows of another organization.
409The change conflicts with existing data, for example a duplicate key or a reference to a row that does not exist.
code, message, details and hint. See the introduction for more on errors.POST /coupon_productscurl -X POST "https://api.bookingmood.com/v1/coupon_products" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"coupon_id": "00000000-0000-0000-0000-000000000000",
"product_id": "00000000-0000-0000-0000-000000000000"
}'[
{
"id": "00000000-0000-0000-0000-000000000000",
"coupon_id": "00000000-0000-0000-0000-000000000000",
"product_id": "00000000-0000-0000-0000-000000000000",
"created_at": "2026-10-30T23:39:58.169Z"
}
]Delete coupon products
Filters
Without filters, this request deletes all coupon products you have access to. Always filter on at least one column, e.g. id=eq.{id}.
idFilter<uuid>Unique identifier
created_atFilter<timestamp with time zone>Creation timestamp
Responses
200The deleted coupon products with the selected columns. Returns 204 without a body when sending the header Prefer: return=minimal.
400The request is malformed, for example an unknown column or an invalid filter.
401The API key is missing or invalid.
403The API key has no permission for this change, for example when writing rows of another organization.
code, message, details and hint. See the introduction for more on errors.DELETE /coupon_productscurl -X DELETE "https://api.bookingmood.com/v1/coupon_products?id=eq.00000000-0000-0000-0000-000000000000" \
-H "Authorization: Bearer YOUR_API_KEY"[
{
"id": "00000000-0000-0000-0000-000000000000",
"coupon_id": "00000000-0000-0000-0000-000000000000",
"product_id": "00000000-0000-0000-0000-000000000000",
"created_at": "2026-10-30T23:39:58.169Z"
}
]Update coupon products
Filters
Without filters, this request updates all coupon products you have access to. Always filter on at least one column, e.g. id=eq.{id}.
idFilter<uuid>Unique identifier
created_atFilter<timestamp with time zone>Creation timestamp
Body
Partial<CouponProduct>Read-only attributes are set by the database and can't be written.
Responses
200The updated coupon products with the selected columns. Returns 204 without a body when sending the header Prefer: return=minimal.
400The request is malformed, for example an unknown column, an invalid filter or an invalid body.
401The API key is missing or invalid.
403The API key has no permission for this change, for example when writing rows of another organization.
409The change conflicts with existing data, for example a duplicate key or a reference to a row that does not exist.
code, message, details and hint. See the introduction for more on errors.PATCH /coupon_productscurl -X PATCH "https://api.bookingmood.com/v1/coupon_products?id=eq.00000000-0000-0000-0000-000000000000" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{}'[
{
"id": "00000000-0000-0000-0000-000000000000",
"coupon_id": "00000000-0000-0000-0000-000000000000",
"product_id": "00000000-0000-0000-0000-000000000000",
"created_at": "2026-10-30T23:39:58.169Z"
}
]